Bug 8164 - Replace IFNULL() with COALESCE() in all database calls
Summary: Replace IFNULL() with COALESCE() in all database calls
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.12
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 7365
  Show dependency treegraph
 
Reported: 2012-05-29 20:02 UTC by Ian Walls
Modified: 2013-05-23 06:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8164: Replace IFNULL with COALESCE (3.22 KB, patch)
2012-08-23 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 8164: Replace IFNULL with COALESCE (3.27 KB, patch)
2012-08-23 22:14 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed patch (3.36 KB, patch)
2012-11-26 11:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jonathan Druart 2012-08-23 14:38:42 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-08-23 22:14:02 UTC Comment hidden (obsolete)
Comment 3 Jared Camins-Esakov 2012-10-06 04:20:42 UTC
Changing target version so this bug report will show up in the list of 3.12-targeted features and doesn't get lost in the shuffle during feature freeze.
Comment 4 Marcel de Rooy 2012-11-26 11:34:08 UTC
Tested Acquisition Late Orders and Lists.
Comment 5 Marcel de Rooy 2012-11-26 11:34:52 UTC
Created attachment 13676 [details] [review]
Signed patch
Comment 6 Marcel de Rooy 2012-11-26 11:37:35 UTC
QA Comment: Works. Small patch improving code. Looks good to me.
Passed QA
Comment 7 Jared Camins-Esakov 2012-11-29 00:08:47 UTC
This patch has been pushed to master.